Herald
OpenapiOauth

Initiate OAuth login flow for a realm

GET
/api/oauth/{realmId}/{provider}/login

Path Parameters

realmId*string

Realm ID

provider*string

OAuth provider type (google, github, facebook, apple, wechat, wechat_miniprogram)

Query Parameters

redirect_uri?string

Redirect URI after successful login

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oauth/string/string/login"
{  "authUrl": "string",  "state": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}